Repository 32bit  Forum
Repository 64bit  Wiki

pacchetti compiz fusion per current

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

pacchetti compiz fusion per current

Messaggioda sya54M » sab feb 06, 2010 14:55

ciao, visto che più di un utente è stato interessato a installare compiz fusion nonostante il nuovo kwin già supporti degli effetti grafici simili, ho aggiornato i pacchetti sul mio sito ( http://sya54m.altervista.org/download.php#compiz ) all'ultima versione (0.8.4) per slackware current.
un motivo per usare ancora compiz fusion è che ha molti più effetti di kwin4.
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1429
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Re: pacchetti compiz fusion per current

Messaggioda brainvision » sab feb 06, 2010 20:21

Anch'io mi son fatto i miei txz per la versione 0.8.4, per architettura i686..

A questo p0unto perché non caricarli qui su slackyu.eu? Che bisogna fare per questo?
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: pacchetti compiz fusion per current

Messaggioda Kristos » sab feb 06, 2010 20:35

brainvision ha scritto:Anch'io mi son fatto i miei txz per la versione 0.8.4, per architettura i686..

A questo p0unto perché non caricarli qui su slackyu.eu? Che bisogna fare per questo?


Leggendo nella sezione Collabora puoi trovare le indicazioni sul come fare per poter caricare i pacchetti, oppure io invierei un mp a Loris per chiedere informazioni.
Però penso che se i pacchetti fatti da te siano per la current su slacky.eu non sia possibile caricarli nei repository dal momento che tutto il materiale pacchettizzato è per la versione stabile.
Avatar utente
Kristos
Packager
Packager
 
Messaggi: 630
Iscritto il: sab dic 19, 2009 11:40
Slackware: 13.37
Kernel: 2.6.37.6-smp
Desktop: KDE
Distribuzione: PCLinuxOS

Re: pacchetti compiz fusion per current

Messaggioda brainvision » dom feb 07, 2010 1:37

Kristos ha scritto:
brainvision ha scritto:Anch'io mi son fatto i miei txz per la versione 0.8.4, per architettura i686..

A questo p0unto perché non caricarli qui su slackyu.eu? Che bisogna fare per questo?


Leggendo nella sezione Collabora puoi trovare le indicazioni sul come fare per poter caricare i pacchetti, oppure io invierei un mp a Loris per chiedere informazioni.
Però penso che se i pacchetti fatti da te siano per la current su slacky.eu non sia possibile caricarli nei repository dal momento che tutto il materiale pacchettizzato è per la versione stabile.


beh si ma io sono in stabile.. i paccheti sono aggiornati a compiz 0.8.4 ma compilati per la stabile.. scrivo in questo thread per on aprirne un altro..
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: pacchetti compiz fusion per current

Messaggioda Kristos » dom feb 07, 2010 9:40

brainvision ha scritto:
beh si ma io sono in stabile.. i paccheti sono aggiornati a compiz 0.8.4 ma compilati per la stabile.. scrivo in questo thread per on aprirne un altro..


Beh allora che dire se è così secondo me puoi tranquillamente chiedere di inserirli nei repository, mi scuso con te per aver inteso che erano compilati per current, leggendo il thread dedicato a current mi era parso così.
Avatar utente
Kristos
Packager
Packager
 
Messaggi: 630
Iscritto il: sab dic 19, 2009 11:40
Slackware: 13.37
Kernel: 2.6.37.6-smp
Desktop: KDE
Distribuzione: PCLinuxOS

Re: pacchetti compiz fusion per current

Messaggioda sya54M » dom feb 07, 2010 11:33

i pacchetti di brainvision sono ottimizzati per i686 e slacky seguendo le linee di slackware usa i486, quindi non so se Loris li accetti.
i miei che invece sono i486, sono per current, quindi non li accetta sicuro :)
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1429
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Re: pacchetti compiz fusion per current

Messaggioda Kristos » dom feb 07, 2010 11:53

sya54M ha scritto:i pacchetti di brainvision sono ottimizzati per i686 e slacky seguendo le linee di slackware usa i486, quindi non so se Loris li accetti.
i miei che invece sono i486, sono per current, quindi non li accetta sicuro :)


A questo punto ci vorrebbe che uno di noi come packager, tempo permettendo si metta di buona volontà a creare i pacchetti i486 per la stabile, quindi a questo punto non vedo altre alternative.
Li avrei provati volentieri se avessi ancora la current installata, ma come packager devo scrupolosamente attenermi alle regole e quindi si vedrà in futuro come funziona compiz-fusion una volta che ci sarà modo di installarlo. :lol:
Avatar utente
Kristos
Packager
Packager
 
Messaggi: 630
Iscritto il: sab dic 19, 2009 11:40
Slackware: 13.37
Kernel: 2.6.37.6-smp
Desktop: KDE
Distribuzione: PCLinuxOS

Re: pacchetti compiz fusion per current

Messaggioda brainvision » dom feb 07, 2010 12:08

io non ci perdo molto tempo a farli per 486, non ci sono problemi, basta cambiare una variabile e ricompilare.. una mezz'ora ed è andata.. lo faccio nel pomeriggio, oggi stesso.. tanto è domenica ed è anche un modo per non annoiarmi.. :)
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: pacchetti compiz fusion per current

Messaggioda Kristos » dom feb 07, 2010 13:30

brainvision ha scritto:io non ci perdo molto tempo a farli per 486, non ci sono problemi, basta cambiare una variabile e ricompilare.. una mezz'ora ed è andata.. lo faccio nel pomeriggio, oggi stesso.. tanto è domenica ed è anche un modo per non annoiarmi.. :)


Ottimo, allora attendo che tu posti l'eventuale modo per accedere ai pacchetti così da poterli installare, magari con un allegato o con un link per aver la possibilità di scaricarli.
Nel frattempo potresti chiedere come poterli rendere disponibili nei repository. :lol:
Intanto ti ringrazio per l'impegno personale.
Avatar utente
Kristos
Packager
Packager
 
Messaggi: 630
Iscritto il: sab dic 19, 2009 11:40
Slackware: 13.37
Kernel: 2.6.37.6-smp
Desktop: KDE
Distribuzione: PCLinuxOS

Re: pacchetti compiz fusion per current

Messaggioda brainvision » lun feb 08, 2010 0:08

http://minima-moralia.noblogs.org/resource/files/view/compiz-fusion-i486.tar.bz2

questo è il link per scaricare l'archivio contenente i 12 pacchetti per compiz-fusion: non c'è il pacchetto compizconfig-backend-kconfig in quanto non ho KDE e con le prove che ho fatto (ho installato una seconda slackware per usare KDE!!) mi dava sempre errori!!

se invece volete sfogliare i pacchetti, potete farlo da qui:
http://minima-moralia.noblogs.org/album/packages

a discapito della sezione in cui ci troviamo, ripeto che i pacchetti sono per la stabile e compilati per architettura i486 (ho anche i i686)!
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: pacchetti compiz fusion per current

Messaggioda sya54M » lun feb 08, 2010 9:33

brainvision ha scritto:non c'è il pacchetto compizconfig-backend-kconfig in quanto non ho KDE e con le prove che ho fatto (ho installato una seconda slackware per usare KDE!!) mi dava sempre errori!!

... ma io uso proprio quello per gestire la configurazione e funziona benissimo... :?
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1429
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Re: pacchetti compiz fusion per current

Messaggioda Kristos » lun feb 08, 2010 10:00

brainvision ha scritto:http://minima-moralia.noblogs.org/resource/files/view/compiz-fusion-i486.tar.bz2

questo è il link per scaricare l'archivio contenente i 12 pacchetti per compiz-fusion: non c'è il pacchetto compizconfig-backend-kconfig in quanto non ho KDE e con le prove che ho fatto (ho installato una seconda slackware per usare KDE!!) mi dava sempre errori!!

se invece volete sfogliare i pacchetti, potete farlo da qui:
http://minima-moralia.noblogs.org/album/packages

a discapito della sezione in cui ci troviamo, ripeto che i pacchetti sono per la stabile e compilati per architettura i486 (ho anche i i686)!


Forse il mancato funzionameno di compizconfig-backend-kconfig è dovuto ad una serie di errori inerenti la mancanza di qualche dipendenza (la butto lì come ipotesi).
Io lo aggiungerei alla lista degli altri pacchetti e poi casomai se non funzionasse si possono fare delle varianti in seguito. :lol:
Avatar utente
Kristos
Packager
Packager
 
Messaggi: 630
Iscritto il: sab dic 19, 2009 11:40
Slackware: 13.37
Kernel: 2.6.37.6-smp
Desktop: KDE
Distribuzione: PCLinuxOS

Re: pacchetti compiz fusion per current

Messaggioda brainvision » mar feb 09, 2010 17:23

ciao ragazzi..

allora, oggi per l'ennesima volta ho provato più e più volte a fare il pacchetto compizconfig-backend-kconfig, su questa installazione di slackware: stabile, 32bit, con KDE come desktop environment. Niente ancora: mi da un errore strano che è questo:
Codice: Seleziona tutto
Good - your configure finished. Start make now

make  all-recursive
make[1]: Entering directory `/tmp/txz/compizconfig-backend-kconfig-0.8.4'
Making all in settings-backend                                           
make[2]: Entering directory `/tmp/txz/compizconfig-backend-kconfig-0.8.4/settings-backend'
if /bin/sh ../libtool --silent --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I.. -I./lib -I/opt/kde3/lib/qt3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -O2 -O2 -march=i486 -mtune=i686 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -I/usr/include/compizconfig -I/usr/include/libxml2 -I/usr/include/startup-notification-1.0 -I/usr/include/compiz   -MT kconfig_backend.lo -MD -MP -MF ".deps/kconfig_backend.Tpo" -c -o kconfig_backend.lo kconfig_backend.cpp; \                                                                                                     
        then mv -f ".deps/kconfig_backend.Tpo" ".deps/kconfig_backend.Plo"; else rm -f ".deps/kconfig_backend.Tpo"; exit 1; fi                                         
In file included from /usr/lib/qt/include/QtCore/qbasicatomic.h:207,                                                                                                   
                 from /usr/lib/qt/include/QtCore/qatomic.h:46,                                                                                                         
                 from /usr/lib/qt/include/QtCore/qvariant.h:45,                                                                                                         
                 from /usr/lib/qt/include/QtCore/QVariant:1,                                                                                                           
                 from /usr/include/kconfig.h:32,                                                                                                                       
                 from kconfig_backend.cpp:24:                                                                                                                           
/usr/lib/qt/include/QtCore/qatomic_arch.h:88:4: error: #error "Qt has not been ported to this architecture"                                                             
kconfig_backend.cpp:29:23: error: kinstance.h: No such file or directory                                                                                               
kconfig_backend.cpp:31:18: error: kipc.h: No such file or directory                                                                                                     
kconfig_backend.cpp:33:24: error: dcopclient.h: No such file or directory                                                                                               
In file included from /usr/include/kconfig.h:27,                                                                                                                       
                 from kconfig_backend.cpp:24:                                                                                                                           
/usr/include/kconfigbase.h:66: error: 'WriteConfigFlags' has not been declared                                                                                         
/usr/include/kconfigbase.h:71: error: expected ';' before 'virtual'                                                                                                     
/usr/include/kconfigbase.h:112: error: 'WriteConfigFlags' has not been declared                                                                                         
/usr/include/kconfigbase.h:113: error: 'WriteConfigFlags' has not been declared                                                                                         
/usr/include/kconfigbase.h:114: error: 'WriteConfigFlags' has not been declared                                                                                         
/usr/include/kconfigbase.h:171: error: 'WriteConfigFlags' has not been declared                                                                                         
/usr/include/kconfigbase.h:180: error: expected constructor, destructor, or type conversion before '(' token                                                           
In file included from /usr/lib/gcc/i486-slackware-linux/4.3.3/../../../../include/c++/4.3.3/new:45,                                                                     
                 from /usr/lib/qt/include/QtCore/qlist.h:54,                                                                                                           
                 from /usr/lib/qt/include/QtCore/qvariant.h:47,                                                                                                         
                 from /usr/lib/qt/include/QtCore/QVariant:1,                                                                                                           
                 from /usr/include/kconfig.h:32,                                                                                                                       
                 from kconfig_backend.cpp:24:                                                                                                                           
/usr/lib/gcc/i486-slackware-linux/4.3.3/../../../../include/c++/4.3.3/exception:40: error: expected declaration before end of line                                     
make[2]: *** [kconfig_backend.lo] Error 1                                                                                                                               
make[2]: Leaving directory `/tmp/txz/compizconfig-backend-kconfig-0.8.4/settings-backend'                                                                               
make[1]: *** [all-recursive] Error 1                                                                                                                                   
make[1]: Leaving directory `/tmp/txz/compizconfig-backend-kconfig-0.8.4'                                                                                               
make: *** [all] Error 2                                                                                                                                                 
Making install in settings-backend                                                                                                                                     
make[1]: Entering directory `/tmp/txz/compizconfig-backend-kconfig-0.8.4/settings-backend'                                                                             
if /bin/sh ../libtool --silent --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I.. -I./lib -I/opt/kde3/lib/qt3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -O2 -O2 -march=i486 -mtune=i686 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -I/usr/include/compizconfig -I/usr/include/libxml2 -I/usr/include/startup-notification-1.0 -I/usr/include/compiz   -MT kconfig_backend.lo -MD -MP -MF ".deps/kconfig_backend.Tpo" -c -o kconfig_backend.lo kconfig_backend.cpp; \                                                                                                     
        then mv -f ".deps/kconfig_backend.Tpo" ".deps/kconfig_backend.Plo"; else rm -f ".deps/kconfig_backend.Tpo"; exit 1; fi                                         
In file included from /usr/lib/qt/include/QtCore/qbasicatomic.h:207,                                                                                                   
                 from /usr/lib/qt/include/QtCore/qatomic.h:46,                                                                                                         
                 from /usr/lib/qt/include/QtCore/qvariant.h:45,                                                                                                         
                 from /usr/lib/qt/include/QtCore/QVariant:1,                                                                                                           
                 from /usr/include/kconfig.h:32,                                                                                                                       
                 from kconfig_backend.cpp:24:                                                                                                                           
/usr/lib/qt/include/QtCore/qatomic_arch.h:88:4: error: #error "Qt has not been ported to this architecture"                                                             
kconfig_backend.cpp:29:23: error: kinstance.h: No such file or directory                                                                                               
kconfig_backend.cpp:31:18: error: kipc.h: No such file or directory                                                                                                     
kconfig_backend.cpp:33:24: error: dcopclient.h: No such file or directory                                                                                               
In file included from /usr/include/kconfig.h:27,                                                                                                                       
                 from kconfig_backend.cpp:24:                                                                                                                           
/usr/include/kconfigbase.h:66: error: 'WriteConfigFlags' has not been declared                                                                                         
/usr/include/kconfigbase.h:71: error: expected ';' before 'virtual'                                                                                                     
/usr/include/kconfigbase.h:112: error: 'WriteConfigFlags' has not been declared                                                                                         
/usr/include/kconfigbase.h:113: error: 'WriteConfigFlags' has not been declared                                                                                         
/usr/include/kconfigbase.h:114: error: 'WriteConfigFlags' has not been declared
/usr/include/kconfigbase.h:171: error: 'WriteConfigFlags' has not been declared
/usr/include/kconfigbase.h:180: error: expected constructor, destructor, or type conversion before '(' token
In file included from /usr/lib/gcc/i486-slackware-linux/4.3.3/../../../../include/c++/4.3.3/new:45,
                 from /usr/lib/qt/include/QtCore/qlist.h:54,
                 from /usr/lib/qt/include/QtCore/qvariant.h:47,
                 from /usr/lib/qt/include/QtCore/QVariant:1,
                 from /usr/include/kconfig.h:32,
                 from kconfig_backend.cpp:24:
/usr/lib/gcc/i486-slackware-linux/4.3.3/../../../../include/c++/4.3.3/exception:40: error: expected declaration before end of line
make[1]: *** [kconfig_backend.lo] Error 1
make[1]: Leaving directory `/tmp/txz/compizconfig-backend-kconfig-0.8.4/settings-backend'
make: *** [install-recursive] Error 1

Slackware package maker, version 3.14159.

Searching for symbolic links:

No symbolic links were found, so we won't make an installation script.
You can make your own later in ./install/doinst.sh and rebuild the
package if you like.

This next step is optional - you can set the directories in your package
to some sane permissions. If any of the directories in your package have
special permissions, then DO NOT reset them here!

Would you like to reset all directory permissions to 755 (drwxr-xr-x) and
directory ownerships to root.root ([y]es, [n]o)? n

Creating Slackware package:  /tmp/compizconfig-backend-kconfig-0.8.4-i486-8lt.txz

./
install/
install/slack-desc
usr/
usr/doc/
usr/doc/compizconfig-backend-kconfig-0.8.4/
usr/doc/compizconfig-backend-kconfig-0.8.4/slack-desc
usr/doc/compizconfig-backend-kconfig-0.8.4/compizconfig-backend-kconfig.SlackBuild
usr/doc/compizconfig-backend-kconfig-0.8.4/COPYING.LGPL
usr/doc/compizconfig-backend-kconfig-0.8.4/COPYING.GPL

Slackware package /tmp/compizconfig-backend-kconfig-0.8.4-i486-8lt.txz created.

root@hal9002:/mnt/zip/brainvision/packages/compiz-fusion/.source/compizconfig-backend-kconfig#


non so se qualcuno ci capisce qualcosa..
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: pacchetti compiz fusion per current

Messaggioda Kristos » mar feb 09, 2010 18:10

Da quello che posso leggere nel listato del make e leggendo gli errori a prima vista sembra che non supporti le librerie QT nell'architettura.
Codice: Seleziona tutto
/usr/lib/qt/include/QtCore/qatomic_arch.h:88:4: error: #error "Qt has not been ported to this architecture"


Poi non riesco a capire il motivo percui dai no ai permessi necessari riferendomi a 755 (forse la richiesta si riferisce a tutti permessi, compresi quelli che non hanno a che fare con il pacchetto) e da qui logicamente non si dà il consenso al reset.
Codice: Seleziona tutto
Would you like to reset all directory permissions to 755 (drwxr-xr-x) and
directory ownerships to root.root ([y]es, [n]o)? n


Alla fine il pacchetto te lo crea comunque da quel che leggo, ma poi all'installazione fallisce? :-k

Codice: Seleziona tutto
Slackware package /tmp/compizconfig-backend-kconfig-0.8.4-i486-8lt.txz created.
Avatar utente
Kristos
Packager
Packager
 
Messaggi: 630
Iscritto il: sab dic 19, 2009 11:40
Slackware: 13.37
Kernel: 2.6.37.6-smp
Desktop: KDE
Distribuzione: PCLinuxOS

Re: pacchetti compiz fusion per current

Messaggioda sya54M » mar feb 09, 2010 18:23

io non l'ho provato sulla stabile, ma tanto non è un pacchetto fondamentale, si può scegliere plain text dal ccms come tipo di configurazione e funziona lo stesso anche senza quel pacchetto
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1429
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Prossimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite